01 November 2013

compile PHP with imap support

When compiling PHP --with-imap and --with-imap-ssl I received the following error:
configure: error: utf8_mime2text() has new signature, but U8T_CANONICAL is missing. This should not happen. Check config.log for additional information.
The fix is to install (on Debian) the following packages: libc-client2007e-dev and libc-client2007e
# apt-get -y install libc-client2007e-dev libc-client2007e
Also, you need to add at the configure step the "--with-kerberos" option.

No comments:

Post a Comment